## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSADD

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                  org.apache.tools.ant.taskdefs.optional.vss.MSVSSADD

public class MSVSSADD
extends MSVSS

Performs Add commands to Microsoft Visual SourceSafe. Based on the VSS Checkin code by Martin Poeschl

Author:
  Nigel Magnay

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_LOGIN, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, VALUE_NO, VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSSADD()`

Method Summary
`void` `execute()` Executes the task.
`void` `getAutoresponse(Commandline cmd)` Checks the value set for the autoResponse.
`java.lang.String` `getComment()` Gets the comment to be applied.
`java.lang.String` `getLocalPath()`
`void` `getRecursiveCommand(Commandline cmd)`
`void` `getWritableCommand(Commandline cmd)`
`void` `setAutoresponse(java.lang.String response)` What to respond with (sets the -I option).
`void` `setComment(java.lang.String comment)` Sets the comment to apply; optional.
`void` `setLocalpath(Path localPath)` Set the local path.
`void` `setRecursive(boolean recursive)` Set behaviour recursive or non-recursive
`void` `setWritable(boolean argWritable)` Leave added files writable? Default: false.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`getLoginCommand, getSSCommand, getVsspath, run, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSVSSADD

    public MSVSSADD()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute ss and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setRecursive

    public void setRecursive(boolean recursive)

  Set behaviour recursive or non-recursive

### getRecursiveCommand

    public void getRecursiveCommand(Commandline cmd)

  Returns:
    the 'recursive' command if the attribute was 'true', otherwise an empty string

### setWritable

    public final void setWritable(boolean argWritable)

  Leave added files writable? Default: false.

### getWritableCommand

    public void getWritableCommand(Commandline cmd)

  Returns:
    the 'make writable' command if the attribute was 'true', otherwise an empty string

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this.

### getAutoresponse

    public void getAutoresponse(Commandline cmd)

  Checks the value set for the autoResponse. if it equals "Y" then we return -I-Y if it equals "N" then we return -I-N otherwise we return -I

### setComment

    public void setComment(java.lang.String comment)

  Sets the comment to apply; optional.

  If this is null or empty, it will be replaced with "-" which is what SourceSafe uses for an empty comment.

### getComment

    public java.lang.String getComment()

  Gets the comment to be applied.

  Returns:
    the comment to be applied.

### setLocalpath

    public void setLocalpath(Path localPath)

  Set the local path.

### getLocalPath

    public java.lang.String getLocalPath()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.